/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import javax.servlet.jsp.JspTagException;


/**
 * Exception thrown in all cases when BreadCrumbTrailTag cannot correctly parse and draw  bread
 *  crumb trail. Only other
 * exceptions thrown by this component  are IllegalArgumntException  and NullPointerException.
 *     If silentErrors is
 * true, this exception is caught and  and  BreadCrumpTrailTag.doStartTag() ends without drawing tag.
 *
 *
 * @author mishagam, Khristopher
 * @author Pops, TCSDEVELOPER
 * @version 2.0
 * @since 1.0
 */
public class BreadCrumbException extends JspTagException {
    /**
     * Create exception with message.
     *
     * @param message String message
     */
    public BreadCrumbException(String message) {
        super(message);
    }

    /**
     * Create exception with message and cause.
     *
     * @param message String message
     * @param cause cause exception
     */
    public BreadCrumbException(String message, Throwable cause) {
        super(message, cause);
    }
}
